/******************************************************************************\
	FILE...........: Globals.h
	AUTHOR.........: Uriah   A. Alshevsky <uriaha@mail.ru>
	DESCRIPTON.....: Describes global structures.
	CLASSES........: none
	COPYRIGHT......: (c) 2003 RA_TEAM
	VERSION........: 1.0
	HISTORY........: DATE       COMMENT
                     ---------- --------------------------------------------------
					 01-11-2003 Created by Uriah Alshevsky

\******************************************************************************/

/*==================================[ REDEFINITION DEFENCE ]==================*/
#ifndef __RA_GLOBALS__
#define __RA_GLOBALS__

/*==================================[ IMPORT  DECLARATIONS ]==================*/
#include "Automata.h"
#include "LogStr.h"
#define STR_NUM 9

extern CLogStr Env;
extern CA1 A1;
extern CA2 A2;
extern CA3 A3;
extern CA4 A4;
extern CA5 A5;
extern CA6 A6;
extern CA7 A7;
extern CA8 A8;
extern CLogStr * g_Str[STR_NUM];

extern BOOL g_x1;
extern BOOL g_x2;
extern BOOL g_x3;
extern BOOL g_x4;
extern BOOL g_x5;
extern BOOL g_x11;
extern char g_Server; // 1 - Accepted, 2 - Rejected, 3 - Black, other - reset

void RunAuta();

#endif //__RA_GLOBALS__

/**********[ The End "Globals.h" ]****************************/