#if !defined(AFX_LOGGINGOPTIONS_H__12398212_9563_4BB2_9883_61E4F253AD51__INCLUDED_)
#define AFX_LOGGINGOPTIONS_H__12398212_9563_4BB2_9883_61E4F253AD51__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LoggingOptions.h : header file
//
#include "Turnstile.h"
#include "Globals.h"

/////////////////////////////////////////////////////////////////////////////
// CLoggingOptions dialog

class CLoggingOptions : public CDialog
{
// Construction
public:
	CLoggingOptions(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLoggingOptions)
	enum { IDD = IDD_LOGGING_OPTIONS };
	CButton	m_MSend;
	CButton	m_M;
	CButton	m_Debug;
	CButton	m_AName;
	CTabCtrl	m_Tab;
	CButton	m_ALog;
	CButton	m_AChanges;
	CButton	m_Z;
	CButton	m_X;
	CButton	m_Errors;
	CButton	m_ATrans;
	CButton	m_AEnds;
	CButton	m_ABegins;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLoggingOptions)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void RestoreValues(int index);
	int m_CurSel;
	void SetValues(int index);
	struct Record
	{
		int AB, AE, AT, SM, M, X, Z, Er, Ch, Log;
	protected:
	}m_Param[STR_NUM];

	// Generated message map functions
	//{{AFX_MSG(CLoggingOptions)
	virtual void OnOK();
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeTabAName(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOGGINGOPTIONS_H__12398212_9563_4BB2_9883_61E4F253AD51__INCLUDED_)
