/******************************************************************************\
    FILE...........: A3.cpp
    AUTHOR.........: Uriah   A. Alshevsky <uriaha@mail.ru>
                     Michael G. Raer      <mraer@mail.ru>
    DESCRIPTON.....: Implements class CA3.
    CLASSES........: CA3
    COPYRIGHT......: (c) 2002 RA_TEAM
    VERSION........: 1.0
    HISTORY........: DATE       COMMENT
                     ---------- --------------------------------------------------
                     01-06-2003 Created by Uriah Alshevsky & Michael Raer

\******************************************************************************/


/*==================================[ IMPORT DECLARATIONS ]===================*/
#include "StdAfx.h"
#include "Automata.h"

void CA3::TA()
{
	if (LOGGING && A_BEGINS_LOGGING) ABeginsLogging(y_cur, stNames[y_cur]);

	switch (y_cur)
	{
		case 0:
			if (X(6))              { SendPubMsg(this, 8); SendPubMsg(this, 1);	y_new = 1;  }
			break;

		case 1:
			if (X(3) || X(4))      { SendPubMsg(this, 2); SendPubMsg(this, 5);	y_new = 7;  }
			else
			if (X(1))              { SendPubMsg(this, 9);												y_new = 2;  }
			break;

		case 2:
			if (X(3))              { 																						y_new = 3;  }
			break;

		case 3:
			if (X(1))              { SendPubMsg(this, 2); SendPubMsg(this, 5);	y_new = 8;  }
			else
			if (X(5) && !X(3))     { 																						y_new = 6;  } 
			else                                                                           
			if (X(2) && !X(1))     { 																						y_new = 4;  }
			break;

		case 4:
			if (X(5) && !X(3))     { Z(24);																			y_new = 5;  }
			else
			if (X(1))              { SendPubMsg(this, 2); SendPubMsg(this, 5);	y_new = 8;  }
			break;

		case 5:
			if (X(1))              { SendPubMsg(this, 2); SendPubMsg(this, 5);	y_new = 10; }
			else
			if (X(4) || M(12))     { 																						y_new = 6;  }
			break;

		case 6:
			if (X(6))              { SendPubMsg(this, 8);												y_new = 1;  }
			else
			if (X(7))              { SendPubMsg(this, 2);												y_new = 0;  }
			break;

		case 7:
			if (!X(3) && !X(4))    { SendPubMsg(this, 1);												y_new = 1;  }
			else
			if (X(3) || X(4))      { SendPubMsg(this, 5);												y_new = 7;  }
			break;

		case 8:
			if (X(5) && !X(3))     { 																						y_new = 9;  }
			else
			if (X(1))              { SendPubMsg(this, 5);												y_new = 8;  }
			break;

		case 9:
			if (!X(1))             { 																						y_new = 0;  }    
			else
			if (X(1))              { SendPubMsg(this, 5);												y_new = 9;  }
			break;

		case 10:
			if (X(4) || M(12))     { Z(13);																			y_new = 11; }
			else
			if (X(1))              { SendPubMsg(this, 5);												y_new = 10; }
			break;

		case 11:
			if (!X(1))             { 																						y_new = 0;  }
			else
			if (X(1))              { SendPubMsg(this, 5);												y_new = 11; }
			break;

		default:
			if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_cur);
	}

	if (y_new != y_cur)
	{
		if (LOGGING && A_TRANS_LOGGING) ATransLogging(y_cur, y_new, stNames[y_cur], stNames[y_new]);

		switch (y_new)
		{
			case 0:
				break;
			case 1:
				break;
			case 2:
				break;
			case 3:
				break;
			case 4:
				break;
			case 5:
				break;
			case 6:
				Z(13);
				break;
			case 7:
				break;
			case 8:
				break;
			case 9:
				Z(13);
				break;
			case 10:
				break;
			case 11:
				break;
			default:
				if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_new);
		}
	}
  
	if (LOGGING && A_ENDS_LOGGING ) AEndsLogging(y_new, stNames[y_new]);
	TA_Log();
}
/** (END OF FILE : A3.cpp )****************************************************/
