/******************************************************************************\
	FILE...........: A5.cpp
	AUTHOR.........: Uriah   A. Alshevsky <uriaha@mail.ru>
                    Michael G. Raer      <mraer@mail.ru>
	DESCRIPTON.....: Implements class CA5.
	CLASSES........: CA5
	COPYRIGHT......: (c) 2002 RA_TEAM
	VERSION........: 1.0
	HISTORY........: DATE       COMMENT
									 ---------- --------------------------------------------------
									 01-06-2003 Created by Uriah Alshevsky & Michael Raer

\******************************************************************************/


/*==================================[ IMPORT DECLARATIONS ]===================*/
#include "StdAfx.h"
#include "Automata.h"

extern CA3 A3;
extern CA6 A6;

void CA5::TA()
{
	if (LOGGING && A_BEGINS_LOGGING) ABeginsLogging(y_cur, stNames[y_cur]);

	switch (y_cur)
	{
		case 0:
			A3.TA();
			if (X(8))                   { 																									y_new = 1; }
			break;

		case 1:
			A3.TA();
			if (!X(8))                  { 																									y_new = 0; }
			else
			if (A3.Is_Closed() && X(7)) { Z(16);																						y_new = 2; }
			break;

		case 2:
			A6.TA();
			if (!X(8))                  { SendPubMsg(this, 2); SendPubMsg(this, 9); Z(17);	y_new = 0; }
			break;

		default:
			if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_cur);
	}

	if (y_new != y_cur)
	{
		if (LOGGING && A_TRANS_LOGGING) ATransLogging(y_cur, y_new, stNames[y_cur], stNames[y_new]);

		switch (y_new)
		{
			case 0:
				A3.SendPrvMsg(this, 0);  A3.TA();
				break;

			case 1:
				A3.SendPrvMsg(this, 0);  A3.TA();
				break;

			case 2:
				A6.SendPrvMsg(this, 0);  A6.TA();
				break;

			default:
				if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_new);
		}
	}

	if (LOGGING && A_ENDS_LOGGING ) AEndsLogging(y_new, stNames[y_new]);
	TA_Log();
}



/** (END OF FILE : A5.cpp )****************************************************/
