/******************************************************************************\
	FILE...........: A6.cpp
	AUTHOR.........: Uriah   A. Alshevsky <uriaha@mail.ru>
                    Michael G. Raer      <mraer@mail.ru>
	DESCRIPTON.....: Implements class CA6.
	CLASSES........: CA6
	COPYRIGHT......: (c) 2002 RA_TEAM
	VERSION........: 1.0
	HISTORY........: DATE       COMMENT
									 ---------- --------------------------------------------------
									 01-06-2003 Created by Uriah Alshevsky & Michael Raer

\******************************************************************************/


/*==================================[ IMPORT DECLARATIONS ]===================*/
#include "StdAfx.h"
#include "Automata.h"

void CA6::TA()
{
	if (LOGGING && A_BEGINS_LOGGING) ABeginsLogging(y_cur, stNames[y_cur]);

	switch (y_cur)
	{
		case 0:
			if (X(10))  { SendPubMsg(this, 1); SendPubMsg(this, 8);												y_new = 1; }
			break;

		case 1:
			if (M(0))   { 																																y_new = 0; }
			else
			if (!X(10)) { 																																y_new = 2; }
			break;

		case 2:
			if (M(0))   { 																																y_new = 0; }
			else
			if (X(10))  { SendPubMsg(this, 2); SendPubMsg(this, 9); SendPubMsg(this, 10);	y_new = 3; }
			break;

		case 3:
			if (M(0))   { 																																y_new = 0; }
			else
			if (!X(10)) { 																																y_new = 0; }
			break;

		default:
			if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_cur);
	}

	if (y_new != y_cur)
	{
		if (LOGGING && A_TRANS_LOGGING) ATransLogging(y_cur, y_new, stNames[y_cur], stNames[y_new]);

		switch (y_new)
		{
			case 0:
				break;
			case 1:
				break;
			case 2:
				break;
			case 3:
				break;
			default:
				if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_new);
		}
	}

	if (LOGGING && A_ENDS_LOGGING ) AEndsLogging(y_new, stNames[y_new]);
	TA_Log();
}
/** (END OF FILE : A6.cpp )****************************************************/
