/******************************************************************************\
	FILE...........: x.cpp
	AUTHOR.........: Michael G. Raer      <mraer@mail.ru>
	DESCRIPTON.....: Implements Inputs Variables
	COPYRIGHT......: (c) 2002 RA_TEAM
	VERSION........: 1.01A
	HISTORY........: DATE       COMMENT
			 ---------- --------------------------------------------------
			 12-04-2002 Created by Michael Raer
			 01-13-2003 Fixed by Uriah

\******************************************************************************/

/*==================================[ IMPORT  DECLARATIONS ]==================*/
#include "StdAfx.h"
#include "x.h"
#include "Globals.h"
#include "TurnstileDlg.h"

extern CTurnstileDlg * g_Dlg;

char *XNames[] =
{
	"",//x0
	"   1",//x1
	"   2",//x2
	"   3",//x3
	"   4",//x4
	"   5",//x5
	"    ",//x6
	"    ",//x7
	"  \" \"",//x8
	"", //x9
	"  \"/ \"", //x10
	"   ", //x11
	"  ", //x12
	"  ", //x13
	"    " //x14
};


char x1()
{
	return g_x1;
}

char x2()
{
	return g_x2;
}

char x3()
{
	return g_x3;
}

char x4()
{
	return g_x4;
}

char x5()
{
	return g_x5;
}

char x6()
{
	int ID = g_Dlg->m_PanelCredits.GetDlgCtrlID();
	return g_Dlg->GetDlgItemInt(ID, NULL, FALSE);
}

char x7()
{
	return !x6();
}

char x8()
{
	return g_Dlg->m_SelfControl.GetCheck();
}

char x10()
{
	return (g_Dlg->m_ControlOpen.GetState() & 0x0004);
}

char x11()
{
	return g_x11;
}

char x12()
{
	return g_Server == 1;
}

char x13()
{
	return g_Server == 2;
}

char x14()
{
	return g_Server == 3;
}

char (*x_arr[])() =
{
	0,
	x1,	
	x2,
	x3,
	x4,
	x5,
	x6,
	x7,
	x8,
	0,
	x10,
	x11,
	x12,
	x13,
	x14
};

/** (END OF FILE : x.cpp )*******************************************************/
