/******************************************************************************\
    FILE...........: Automaton.h
    AUTHOR.........: Uriah   A. Alshevsky <uriaha@mail.ru>
                     Michael G. Raer      <mraer@mail.ru>
    DESCRIPTON.....: Describes class CAutomat.
    CLASSES........: CAutomat
    COPYRIGHT......: (c) 2002 RA_TEAM
    VERSION........: 1.0
    HISTORY........: DATE       COMMENT
                     ---------- --------------------------------------------------
                     12-01-2002 Created by Uriah Alshevsky & Michael Raer

\******************************************************************************/

/*==================================[ REDEFINITION DEFENCE ]==================*/
#ifndef __RA_CAutomaton__
#define __RA_CAutomaton__

/*==================================[ IMPORT  DECLARATIONS ]==================*/
#include <stdio.h>
#include "LogStr.h"

/******************************************************************************\
	CLASS.........: CAutomaton
	DESCRIPTION...: ⮬
\******************************************************************************/
class CAutomaton: public CLogStr
{
protected:

	int y_cur, y_new;         // ६, 騥 ⥪饥   ﭨ ⮬
	char *mPrv_new;           // ᨢ  ᮮ饭, ᫠ ⮬	
	char *mPrv_cur;           // ᨢ ⥪ ᮮ饭, ᫠ ⮬	
	static char *mPub_new;    // ᨢ  ᮮ饭, ᫠   設
	static char *mPub_cur;    // ᨢ ⥪ ᮮ饭, ᫠   設	
	char **stNames;           // ᨢ  ﭨ ⮬

	//    㭪権 뢠 㭪 ⮪஢ 
	char M (int msgNum);      // 㭪 ஢ન  ᮮ饭. 
	char X (int xNum);        // 㭪 ஢ન 室 ६
	void Z (int zNum);        // 㭪 맮 室 ⢨


	void UpdatePrvMsg();      // 㭪  ᨢ ᮮ饭 ⮬

public:

	virtual void TA(){}       // 㭪 "室-⢨" ⮬

	void U(); // 㭪 "" ⮬. 뢠 㭪 UpdatePrvMsg  
						// ६,	 ﭨ ⮬.

	static void UpdatePubMsg(); // 㭪  ᨢ ᮮ饭 饩 設

	//    㭪権 뢠 㭪 ⮪஢ 
	static void SendPubMsg(CLogStr *a, int msgNum); // 㭪 뫪 ᮮ饭   設
	void SendPrvMsg(CLogStr *a, int msgNum);        // 㭪 뫪 ᮮ饭 ⮬  

	CAutomaton(const char *aname, char anumber);
	~CAutomaton();
};

/*==================================[ END REDEFINITION DEFENCE ]==============*/
#endif  //__RA_CAutomaton__

/** (END OF FILE : Automaton.h )*************************************************/