/******************************************************************************\
    FILE...........: A1.cpp
    AUTHOR.........: Uriah   A. Alshevsky <uriaha@mail.ru>
                     Michael G. Raer      <mraer@mail.ru>
    DESCRIPTON.....: Implements class CA1.
    CLASSES........: CA1
    COPYRIGHT......: (c) 2002 RA_TEAM
    VERSION........: 1.0
    HISTORY........: DATE       COMMENT
                     ---------- --------------------------------------------------
                     12-01-2002 Created by Uriah Alshevsky & Michael Raer

\******************************************************************************/


/*==================================[ IMPORT DECLARATIONS ]===================*/
#include "StdAfx.h"
#include "Automata.h"

void CA1::TA()
{
	if (LOGGING && A_BEGINS_LOGGING) ABeginsLogging(y_cur, stNames[y_cur]);

	switch (y_cur)
	{
		case 0:
			if (M(1)) { Z(1);							y_new = 1; }
			break;

		case 1:
			if (M(3)) { Z(2);							y_new = 2; }
			else
			if (M(2)) { Z(2); Z(3);				y_new = 3; }
			break;

		case 2:
			if (M(2)) { Z(3);							y_new = 3; }
			break;

		case 3:
			if (M(4)) { Z(4);							y_new = 0; }
			else
			if (M(1)) { Z(4); Z(1);				y_new = 1; }
			break;

		default:
			if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_cur);
	}

	if (y_new != y_cur)
	{
		if (LOGGING && A_TRANS_LOGGING) ATransLogging(y_cur, y_new, stNames[y_cur], stNames[y_new]);

		switch (y_new)
		{
			case 0:
				break;
			case 1:
				break;
			case 2:
				break;
			case 3:
				break;
			default:
				if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_new);
		}
	}

	if (LOGGING && A_ENDS_LOGGING ) AEndsLogging(y_new, stNames[y_new]);
	TA_Log();
}
/** (END OF FILE : A1.cpp )****************************************************/
