/******************************************************************************\
	FILE...........: A2.cpp
	AUTHOR.........: Uriah   A. Alshevsky <uriaha@mail.ru>
	                 Michael G. Raer      <mraer@mail.ru>
	DESCRIPTON.....: Implements class CA2.
	CLASSES........: CA2
	COPYRIGHT......: (c) 2002 RA_TEAM
	VERSION........: 1.0
	HISTORY........: DATE       COMMENT
	                 ---------- --------------------------------------------------
	                 01-06-2003 Created by Uriah Alshevsky & Michael Raer

\******************************************************************************/


/*==================================[ IMPORT DECLARATIONS ]===================*/
#include "StdAfx.h"
#include "Automata.h"

void CA2::TA()
{
	if (LOGGING && A_BEGINS_LOGGING) ABeginsLogging(y_cur, stNames[y_cur]);

	switch (y_cur)
	{
		case 0:
			if (M(8))           { Z(9);								y_new = 1; }
			else
			if (M(10))          { Z(11); Z(8);				y_new = 3; }
			break;

		case 1:
			if (M(9) && !M(10)) { Z(10);							y_new = 0; }
			else
			if (M(9) && M(10))  { Z(10); Z(11); Z(8);	y_new = 3; }
			else
			if (M(10) && !M(9)) { Z(10); Z(11); Z(8); y_new = 2; }
			break;

		case 2:
			if (M(7) || M(8))   { Z(12); Z(9);				y_new = 1; }
			else
			if (M(9))           {											y_new = 3; }
			else
			if(M(10))           { Z(8);								y_new = 2; }
			break;

		case 3:
			if (M(7))           { Z(12);							y_new = 0; }
			else
			if (M(8))           { Z(12); Z(9);				y_new = 1; }
			else
			if (M(10))          { Z(8);								y_new = 3; }
			break;

		default:
			if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_cur);
	}
  
	if (y_new != y_cur)
	{
		if (LOGGING && A_TRANS_LOGGING) ATransLogging(y_cur, y_new, stNames[y_cur], stNames[y_new]);

		switch (y_new)
		{
			case 0:
				break;
			case 1:
				break;
			case 2:
				break;
			case 3:
				break;
			default:
				if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_new);
		}
	}

	if (LOGGING && A_ENDS_LOGGING ) AEndsLogging(y_new, stNames[y_new]);
	TA_Log();
}
/** (END OF FILE : A2.cpp )****************************************************/
