/******************************************************************************\
	FILE...........: A7.cpp
	AUTHOR.........: Uriah   A. Alshevsky <uriaha@mail.ru>
                    Michael G. Raer      <mraer@mail.ru>
	DESCRIPTON.....: Implements class CA7.
	CLASSES........: CA7
	COPYRIGHT......: (c) 2002 RA_TEAM
	VERSION........: 1.0
	HISTORY........: DATE       COMMENT
									 ---------- --------------------------------------------------
									 01-06-2003 Created by Uriah Alshevsky & Michael Raer

\******************************************************************************/


/*==================================[ IMPORT DECLARATIONS ]===================*/
#include "StdAfx.h"
#include "Automata.h"

extern CA5 A5;

void CA7::TA()
{
	if (LOGGING && A_BEGINS_LOGGING) ABeginsLogging(y_cur, stNames[y_cur]);

	switch (y_cur)
	{
		case 0:
			if (M(11))         { Z(19); Z(20);								y_new = 1; }
			break;

		case 1:
			if (X(11))         { Z(23);												y_new = 2; }
			else
			if (!X(11))        { Z(21); SendPubMsg(this, 10);	y_new = 0; }
			break;

		case 2:
			if (X(13))         { Z(21); SendPubMsg(this, 10);	y_new = 0; }
			else
			if (X(14))         { Z(22); SendPubMsg(this, 10); y_new = 0; }
			else
			if (X(12))         { Z(21); 											y_new = 3; }
			break;

		case 3:
			if (!A5.Is_Auto()) { 															y_new = 0; }
			else
			if (A5.Is_Auto())  { Z(18);												y_new = 0; }
			break;

		default:
			if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_cur);
	}

	if (y_new != y_cur)
	{
		if (LOGGING && A_TRANS_LOGGING) ATransLogging(y_cur, y_new, stNames[y_cur], stNames[y_new]);

		switch (y_new)
		{
			case 0:
				break;
			case 1:
				break;
			case 2:
				break;
			case 3:
				break;
			default:
				if (LOGGING && A_ERRORS_LOGGING) AErrorsLogging(y_new);
		}
	}

	if (LOGGING && A_ENDS_LOGGING ) AEndsLogging(y_new, stNames[y_new]);
	TA_Log();
}
/** (END OF FILE : A7.cpp )****************************************************/
